import java.applet.Applet;
import java.awt.Dimension;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.Properties;

import javax.swing.JFrame;

/**
 * @author Tom
 *
 */
public class RS2Loader extends Applet {

	private static final long serialVersionUID = 1670498001014004354L;
	private static final String ADDRESS = "127.0.0.1";

	private Properties parameters = new Properties();
	private JFrame clientFrame = null;

	public static void main(String... args) {
		RS2Loader rsLoader = new RS2Loader();
		rsLoader.doFrame();
	}

	private void doFrame() {
		readParameters();
		openFrame();
		startClient();
		clientFrame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	}

	private void startClient() {
		try {
			Signlink signlink = new Signlink(this, 32, "runescape", 28);
			Client.providesignlink(signlink);
			
			Client client = new Client();
			client.init();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	private void openFrame() {
		clientFrame = new JFrame("Jagex");
		clientFrame.add(this);
		clientFrame.setVisible(true);
		clientFrame.setSize(new Dimension(780, 540));
	}

	private void readParameters() {
		parameters.put("worldid", "1");
		parameters.put("members", "1");
		parameters.put("modewhat", "0");
		parameters.put("modewhere", "0");
		parameters.put("safemode", "0");
		parameters.put("game", "0");
		parameters.put("js", "1");
		parameters.put("lang", "0");
		parameters.put("affid", "0");
		parameters.put("highmem", "1");
		parameters.put("settings", "ROEqp2kbj*NX9PSCbdgpOvokkMwrCkXjg3c6KXgaLZY");
	}

	@Override
	public String getParameter(String paramName) {
		return (String) parameters.get(paramName);
	}

	@Override
	public URL getDocumentBase() {
		return getCodeBase();
	}

	@Override
	public URL getCodeBase() {
		try {
			return new URL("http://" + ADDRESS);
		} catch (MalformedURLException e) {
			e.printStackTrace();
		}
		return null;
	}

}